language: node_js
node_js: '7'
script:
  - npm run build
  - travis_retry npm run travis
sudo: false
dist: trusty
cache:
  directories:
    - node_modules
addons:
  sauce_connect:
    username: "quill"
  jwt:
    secure: "AAqywYhvkaoJyqLvtcm+urFZsL4Z6q+0WIbN9oFwGaS02bP2trJkRQmI0+TwK6Spsvn0t1idAORuLM6I5ABdJ6+pe3AMTIIGL06dyQQj5r1cRKPCrOpySjZe4L18XYb6PvcyibI0ZLo8szptGeBYDXqOzMlNLy2a+JR+USqsQoU="
env:
  matrix:
    - BROWSER=mac-chrome-latest
    - BROWSER=mac-firefox-latest
    - BROWSER=mac-safari-latest
    - BROWSER=windows-chrome-latest
    - BROWSER=windows-firefox-latest
    - BROWSER=windows-edge-latest
    - BROWSER=windows-ie-latest
    - BROWSER=linux-chrome-latest
    - BROWSER=linux-firefox-latest
    - BROWSER=ios-latest
    - BROWSER=android-latest
